Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161309 - Nofication of missing firmware
Summary: Nofication of missing firmware
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: hal
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Bill Nottingham
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-22 10:39 UTC by Russell Strong
Modified: 2014-03-17 02:54 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-30 11:45:18 UTC


Attachments (Terms of Use)

Description Russell Strong 2005-06-22 10:39:33 UTC
Description of problem:

I have a Intel Corporation PRO/Wireless 2915ABG which is supported. However the
firmware is missing. Took me a couple of hours to remember that I need to go get
firmware.

It would be nice if the installer would inform me about hardware that could be
supported except for non-free firmware that's not included in the installation set.

You could also include a bit of information on why it's not supported and why
that's important.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Bill Nottingham 2005-06-22 15:47:06 UTC
OK, so, that's Hard(tm).

Realistically, what you'd need is the following:

- the event of no-firmware-found is propagated via HAL
- HAL catches this and throws up a dialog that does something

Right now, we have neither of those; I'm not even sure the infrastructure is
there for the second one.


Comment 2 David Zeuthen 2005-06-22 17:59:33 UTC
It's feasible; I want to do this for fc5 but what the kernel gives us right now
is crap (e.g. a driver may ask for several different files and still work if it
just finds one of them. Sigh.



Comment 3 Hans de Goede 2007-03-13 12:52:30 UTC
I think this can be closed as Fedora 7 will have the firmware out of the box.


Comment 4 Rahul Sundaram 2007-03-13 12:58:48 UTC
(In reply to comment #3)
> I think this can be closed as Fedora 7 will have the firmware out of the box.

Not all firmware. Only those with clear redistribution rights. Rest of them
would probably need good notification mechanism still. 

Comment 5 Richard Hughes 2008-05-30 11:45:18 UTC
Yup, we now handle this with PackageKit, although I would argue we should just
ship all free firmware by default anyway...


Note You need to log in before you can comment on or make changes to this bug.